# Create an example for a Knowledge Assistant

Launch stage: Beta

`POST /api/2.1/{parent=knowledge-assistants/*}/examples`

Creates an example for a Knowledge Assistant.

API scopes: knowledge-assistants

## Path parameters

- `parent` (string, required)
  Parent resource where this example will be created.
   Format: knowledge-assistants/{knowledge_assistant_id}

## Request body

The example to create under the parent Knowledge Assistant.
- `name` (string, optional, ID, Immutable)
  Full resource name:
   knowledge-assistants/{knowledge_assistant_id}/examples/{example_id}
- `question` (string, required)
  The example question.
- `guidelines` (array of string, optional)
  Guidelines for answering the question. Optional — examples may be created
   with just a question; the front-end form does not require guidelines.

## Returns

Returns the Example object.

## Response

```json
{
  "name": "string",
  "question": "string",
  "guidelines": [
    "string"
  ],
  "example_id": "string",
  "create_time": "string",
  "update_time": "string"
}
```

